Bug 193960 - Review Request: perl-Net-LibIDN
Review Request: perl-Net-LibIDN
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-03 09:03 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 17:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-06-03 09:03:31 EDT
Spec URL: http://labs.linuxnetz.de/bugzilla/perl-Net-LibIDN.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/perl-Net-LibIDN-0.08-5.src.rpm
Description: Provides perl bindings for GNU Libidn, a C library for handling Internationalized Domain Names according to IDNA (RFC 3490), in a way very much inspired by Turbo Fredriksson's PHP-IDN.
Comment 1 Thorsten Leemhuis 2006-06-03 12:01:42 EDT
Packager needs a sponsor.
Comment 2 Hans de Goede 2006-06-08 05:31:35 EDT
Hi,

In order to get sponsored you must first understand that things are currently
organised in FE in such a way that once you are sponsored you get full CVS
access to all packages. Thus having one good package ready for review usually
isn't enough to get you sponsored.

There are 2 ways to proceed from here for us (the FE community) to get to learn
you better:
1) You review a couple of packages from others see FE-NEW for a list of
   Review Requests that need a Reviewer, don't worry about not being competent
   enough todo a review, just add me to the CC-list and I'll watch over your 
   back.
2) Create some more packages and link to them from the BZ ticket.

Or (probably the best) a combination of these 2. What also helps is activity in
other Fedora projects such as translations etc.

Also it is a good idea to read the "howto become a contributer" "packaging
guidelines" and "review guidlines" wiki pages thoroughly first, if you had done
that you could have known that you had to make this bug blok FE_NEEDSPONSOR
yourself.
Comment 3 Robert Scheck 2006-06-08 09:55:32 EDT
More packages are in bug #194470, #194479 and #194481. I think more will follow, 
when I've got time for this. And sorry, yes I forgot to block FE_NEEDSPONSOR for 
this bug report.
Comment 4 Hans de Goede 2006-06-14 02:42:27 EDT
Restoring some comments lost due to the BZ crash:

I suggested to Robert that we would work together to get 3 of his submission
into  the approved state and that I would then sponsor him, he responded with:

------- Additional Comments From redhat-bugzilla@linuxnetz.de  2006-06-11 12:44
EST -------
Yes, that sounds well. BTW, I've got updated all four packages on June, 9th to 
have a better rpmlint output. And as I'm new to the Fedora Extras stuff, just 
contact me, if there's something...
Comment 5 Hans de Goede 2006-06-17 08:41:22 EDT
For those reading allong I've sponsored Robert after reviewing -> approving 2 of
his other packages. Removing the NEEDSPONSOR blocker.
Comment 6 Jason Tibbitts 2006-06-23 11:23:30 EDT
Builds fine in mock (x86_64, development) and rpmlint is silent.

Note that BuildRequires: perl is not necessary; it's already in the buildroot by
default.

One odd thing about this package is that the documentation indicates that a copy
of the GPL should be in a "Copying" file, but one isn't included in the tarball.
 (Who can understand why upstream does the things they do?)  To avoid confusion,
you might want to run "perldoc -t perlgpl > Copying" at the end of %build and
then include the Copying file in %doc.

Your libidn >= 0.4.0 dependency is also redundant; rpm finds the libidn.so.11
dependency which will pull in libidn.  A search does show that libidn.so.11 was
present at least back to libidn 0.3.7, but even FC3 shipped with 0.5.6 so
there's no chance of having an old version.

None of these are blockers.  The first is a matter of taste and the latter two
would be good to fix but I'll leave it up to you.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   0738e29652f5d9f11694b289229e79f8  Net-LibIDN-0.08.tar.gz
* latest version is being packaged.
O BuildRequires are proper (BR: perl is redundant)
* package builds in mock (x86_64, development).
* rpmlint is silent.
* final provides and requires are sane:
   LibIDN.so()(64bit)
   perl(Net::LibIDN) = 0.08
   perl-Net-LibIDN = 0.08-5.fc6
  =
   libidn >= 0.4.0
   libidn.so.11()(64bit)
   perl >= 0:5.006
   perl(:MODULE_COMPAT_5.8.8)
   perl(AutoLoader)
   perl(Carp)
   perl(DynaLoader)
   perl(Errno)
   perl(Exporter)
   perl(strict)
   perl(warnings)

* shared libraries are present, but internal to perl.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   ok 21
   + exit 0
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 7 Robert Scheck 2006-06-26 17:15:55 EDT
11624 (perl-Net-LibIDN): Build on target fedora-development-extras succeeded.
11623 (perl-Net-LibIDN): Build on target fedora-5-extras succeeded.
11622 (perl-Net-LibIDN): Build on target fedora-4-extras succeeded.

as per http://fedoraproject.org/wiki/Extras/Contributors I'll close this
bug report with NEXTRELEASE now. 

Note You need to log in before you can comment on or make changes to this bug.